/* Robin Nittka */
#include <cstdio>
#include <fstream>
#include <algorithm>
#include <cmath>
#include <iostream>

#define in cin

using namespace std;

const double eps = 1e-9;
double pi = 2.0 * acos(0.0);

double eval(double w, double h, double x)
{
	double res = 0.0;
	double r = min(x, w) / 2.0;
	if (h-x+eps >= 2*pi*r)
		res >?= pi * r * r * w;
	if (w+eps >= 2*pi*r)
		res >?= pi * r * r * (h-x);
	return res;
}

int main()
{
	double w, h;
	while (cin >> w >> h)
	{
		if (!w && !h)
			break;
		double sol = 0.0;
		sol >?= eval(w, h, w);
		sol >?= eval(w, h, h / (pi + 1.0));
		sol >?= eval(w, h, w / pi);
		sol >?= eval(w, h, w / pi);
		sol >?= eval(w, h, 2.0 * h / 3.0);
		printf("%.3lf\n", sol);
	}
	return 0;
}
